package engine;

/**
 * ...
 * @author randomnine
 */

class SpriteSheetAnimation 
{
	var m_frames:Array<SpriteSheetAnimationFrame>;
	var m_looping:Bool;

	public function new( _looping:Bool ) 
	{
		m_frames = new Array<SpriteSheetAnimationFrame>();
		m_looping = _looping;
	}
	
	public function addFrame( _frame:SpriteSheetAnimationFrame )
	{
		m_frames.push( _frame );
	}

	public function getLength() : Int { return m_frames.length; }
	public function isLooping() : Bool { return m_looping; }
	
	public function getFrame( _index:Int ) : SpriteSheetAnimationFrame
	{
		return m_frames[_index];
	}
}