package game.scenes;

import flash.display.BitmapData;
import flash.geom.Point;

import engine.AdvanceContext;
import engine.FontSheet;
import engine.GameInput;
import engine.GameScene;

import game.data.FontData;

/**
 * ...
 * @author randomnine
 */

class ScenePauseOverlay implements GameScene
{
	public function new() 
	{
	}

	public function activate()
	{
	}
	
	public function deactivate()
	{
	}
	
	public function advance( _dt:Float, _context:AdvanceContext ) : Void
	{
	}
	
	public function render( _targetBD:BitmapData ) : Void
	{
		_targetBD.fillRect( _targetBD.rect, 0xc0000000 );
		
		var blackoutBD:BitmapData = new BitmapData( _targetBD.width, _targetBD.height, true, 0x00000000 );
		
		FontData.get().getFont().renderText( blackoutBD, "- PAUSED -", 100, 55, 0.5 );
		FontData.get().getFont().renderText( blackoutBD, "CLICK TO RESUME", 100, 75, 0.5 );
		FontData.get().getFont().renderText( blackoutBD, "(M: MUTE)", 100, 85, 0.5 );
		
		_targetBD.copyPixels( blackoutBD, blackoutBD.rect, new Point( 0, 0 ), null, null, true );
	}
}